<script setup lang="ts">
// import { onMounted } from 'vue'
import { useItemStore } from '~/stores/itemStore'

const store = useItemStore()

onMounted(async () => {
  await store.fetch("objects")
  // Fetch subitems for the first item
  if (store.items.length > 0) {
    for (const item of store.items) {
        await store.fetchSubitems(item.id, "subobjects")
    }
  }
})
</script>

<template>
  <div>
    <DataTable :value="store.items" paginator tableStyle="min-width: 50rem">
      <template #paginatorstart>
        <Button icon="pi pi-refresh" text />
      </template>
      <template #paginatorend>
          <Button icon="pi pi-download" text />
      </template>
      <Column  sortable></Column>
    </DataTable>
  </div>
</template>